org.apache.synapse.transport.passthru.util

## Class DeferredMessageBuilder

- java.lang.Object
- - org.apache.synapse.transport.passthru.util.DeferredMessageBuilder

-     public class DeferredMessageBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FORCED_RELAY_FORMATTER`
    `static java.lang.String` | `RELAY_FORMATTERS_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeferredMessageBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBuilder(java.lang.String contentType, org.apache.axis2.builder.Builder builder)`
    `void` | `addFormatter(java.lang.String contentType, org.apache.axis2.transport.MessageFormatter messageFormatter)`
    `static org.apache.axis2.builder.Builder` | `createBuilder(java.lang.String className)`
    `static org.apache.axis2.transport.MessageFormatter` | `createFormatter(java.lang.String className)`
    `java.util.Map<java.lang.String,org.apache.axis2.builder.Builder>` | `getBuilders()`
    `static java.lang.String` | `getContentType(java.lang.String contentType, org.apache.axis2.context.MessageContext msgContext)` This method is from org.apache.axis2.transport.TransportUtils - it was hack placed in Axis2 Transport to enable responses with text/xml to be processed using the ApplicationXMLBuilder (which is technically wrong, it should be the duty of the backend service to send the correct content type, which makes the most sense (refer RFC 1049), alas, tis not the way of the World).
    `org.apache.axiom.om.OMElement` | `getDocument(org.apache.axis2.context.MessageContext msgCtx, java.io.InputStream in)`
    `java.util.Map<java.lang.String,org.apache.axis2.transport.MessageFormatter>` | `getFormatters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RELAY_FORMATTERS_MAP

          public static final java.lang.String RELAY_FORMATTERS_MAP

      See Also:
        Constant Field Values

    - #### FORCED_RELAY_FORMATTER

          public static final java.lang.String FORCED_RELAY_FORMATTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeferredMessageBuilder

          public DeferredMessageBuilder()

  - ### Method Detail

    - #### getBuilders

          public java.util.Map<java.lang.String,org.apache.axis2.builder.Builder> getBuilders()

    - #### addBuilder

          public void addBuilder(java.lang.String contentType,
                                 org.apache.axis2.builder.Builder builder)

    - #### addFormatter

          public void addFormatter(java.lang.String contentType,
                                   org.apache.axis2.transport.MessageFormatter messageFormatter)

    - #### getFormatters

          public java.util.Map<java.lang.String,org.apache.axis2.transport.MessageFormatter> getFormatters()

    - #### getDocument

          public org.apache.axiom.om.OMElement getDocument(org.apache.axis2.context.MessageContext msgCtx,
                                                           java.io.InputStream in)
                                                    throws javax.xml.stream.XMLStreamException,
                                                           java.io.IOException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `java.io.IOException`

    - #### createBuilder

          public static org.apache.axis2.builder.Builder createBuilder(java.lang.String className)
                                                                throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### createFormatter

          public static org.apache.axis2.transport.MessageFormatter createFormatter(java.lang.String className)
                                                                             throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getContentType

          public static java.lang.String getContentType(java.lang.String contentType,
                                                        org.apache.axis2.context.MessageContext msgContext)

      This method is from org.apache.axis2.transport.TransportUtils - it was hack placed in Axis2 Transport to enable responses with text/xml to be processed using the ApplicationXMLBuilder (which is technically wrong, it should be the duty of the backend service to send the correct content type, which makes the most sense (refer RFC 1049), alas, tis not the way of the World).
      Parameters:
        `contentType` -
        `msgContext` -
      Returns:
        MIME content type.

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.